pidgin: gtksavedstatuses.h File Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Functions
gtksavedstatuses.h File Reference
Pidgin (GTK+ User Interface)

GTK+ Saved Status Editor UI. More...

`#include "savedstatuses.h"`
`#include "status.h"`

Go to the source code of this file.

## Functions
void | pidgin_status_window_show (void)
| Shows the status window.
void | pidgin_status_window_hide (void)
| Hides the status window.
void | pidgin_status_editor_show (gboolean edit, PurpleSavedStatus *status)
| Shows a status editor (used for adding a new saved status or editing an already existing saved status).
GtkWidget * | pidgin_status_menu (PurpleSavedStatus *status, GCallback callback)
| Creates a dropdown menu of saved statuses and calls a callback when one is selected.
void * | pidgin_status_get_handle (void)
| Returns the GTK+ status handle.
void | pidgin_status_init (void)
| Initializes the GTK+ status system.
void | pidgin_status_uninit (void)
| Uninitializes the GTK+ status system.

## Detailed Description

GTK+ Saved Status Editor UI.

Definition in file gtksavedstatuses.h.

## Function Documentation

## ◆ pidgin_status_editor_show()

void pidgin_status_editor_show | ( | gboolean | edit,
|  | PurpleSavedStatus * | status
| ) |  |

Shows a status editor (used for adding a new saved status or editing an already existing saved status).

Parameters

  edit | TRUE if we want to edit an existing saved status or FALSE to create a new one. You can not edit transient statuses–they don't have titles. If you want to edit a transient status, set this to FALSE and seed the dialog with the transient status using the status parameter to this function.
  status | If edit is TRUE then this should be a pointer to the PurpleSavedStatus to edit. If edit is FALSE then this can be NULL, or you can pass in a saved status to seed the initial values of the new status.

## ◆ pidgin_status_get_handle()

void * pidgin_status_get_handle | ( | void |  | ) |

Returns the GTK+ status handle.

Returns
  The handle to the GTK+ status system.

## ◆ pidgin_status_menu()

GtkWidget * pidgin_status_menu | ( | PurpleSavedStatus * | status,
|  | GCallback | callback
| ) |  |

Creates a dropdown menu of saved statuses and calls a callback when one is selected.

Parameters

  status | The default saved_status to show as 'selected'
  callback | The callback to call when the selection changes

Returns
  The menu widget